# Delete comment

`DELETE https://api.airtable.com/v0/{baseId}/{tableIdOrName}/{recordId}/comments/{rowCommentId}`

Deletes a comment from a record. Non-admin API users can only delete comments they have created. Enterprise Admins can delete any comment from a record.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`data.recordComments:write`](https://airtable.com/developers/web/api/scopes.md#data-record-comments-write)
- **User role:** Base commenter
- **Billing plans:** All plans

## Path parameters

- `baseId: string`

- `tableIdOrName: string`

- `recordId: string`

- `rowCommentId: string`

## Response format

- `id: string` — required

  A comment ID

- `deleted: boolean` — required

### Example — Success response

```sh
curl -X DELETE "https://api.airtable.com/v0/{baseId}/{tableIdOrName}/{recordId}/comments/{rowCommentId}" \
-H "Authorization: Bearer YOUR_TOKEN"
```

```json
{
  "deleted": true,
  "id": "comB5z37Mg9zaEPw6"
}
```
